
Redmine - Defect #5129

backslashes in issue description/note should be escaped when quoted

2010-03-19 17:36 - Go MAEDA

Status: Closed Start date: 2010-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

Assume that a issue has the following description.

quick\nbrown\nfox\\

 When you click "quote" link, the expected text in textarea is the following:

> quick\nbrown\nfox\\

 But you will see the following text because backslashes are not escaped.

> quick

brown

fox\

Associated revisions

Revision 3616 - 2010-03-27 14:33 - Jean-Philippe Lang

Fixes backslashes escaping when quoting issue description/note (#5129).

History

#1 - 2010-03-27 14:32 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Resolution set to Fixed

Fixed in r3616 using Rails' escape_javascript helper.

#2 - 2010-04-11 16:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#3 - 2011-10-25 12:50 - Bryce Brim

SPAM
